Package com.artofsolving.jodconverter

# Class XmlDocumentFormatRegistry

java.lang.Object
com.artofsolving.jodconverter.BasicDocumentFormatRegistry
com.artofsolving.jodconverter.XmlDocumentFormatRegistry

All Implemented Interfaces:
  `DocumentFormatRegistry`

public class XmlDocumentFormatRegistry extends BasicDocumentFormatRegistry implements DocumentFormatRegistry

## Constructor Summary

Constructors
Constructor
Description
`XmlDocumentFormatRegistry()`
Deprecated.
use `DefaultDocumentFormatRegistry` instead (since version 2.1.2)
`XmlDocumentFormatRegistry(InputStream inputStream)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Prints out a document-formats.xml from the `DefaultDocumentFormatRegistry`

### Methods inherited from class com.artofsolving.jodconverter.BasicDocumentFormatRegistry

`addDocumentFormat, getDocumentFormats, getFormatByFileExtension, getFormatByMimeType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.artofsolving.jodconverter.DocumentFormatRegistry

`getFormatByFileExtension, getFormatByMimeType`

## Constructor Details

### XmlDocumentFormatRegistry

public XmlDocumentFormatRegistry()
Deprecated.
use `DefaultDocumentFormatRegistry` instead (since version 2.1.2)

### XmlDocumentFormatRegistry

public XmlDocumentFormatRegistry(InputStream inputStream)

## Method Details

### main

public static void main(String[] args) throws IOException
Prints out a document-formats.xml from the `DefaultDocumentFormatRegistry`

Throws:
  `IOException`